//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "stdlib.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TeeComma"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Series1->Clear();
  for (int i=1;i<7;i++)
    Series1->AddXY(Now() + i, random(1000), "", clTeeColor);
  Series1->XValues->DateTime = true;
  Chart1->BottomAxis->LabelStyle = talAuto;
  Chart1->BottomAxis->Increment = 3;
  Chart1->BottomAxis->DateTimeFormat = "dd-mm-yy hh:mm";
}
//---------------------------------------------------------------------------

void TForm1::SetAngles(int a)
{
  Chart1->LeftAxis->LabelsAngle = a;
  Chart1->TopAxis->LabelsAngle = a;
  Chart1->RightAxis->LabelsAngle = a;
  Chart1->BottomAxis->LabelsAngle = a;
}

void __fastcall TForm1::RadioGroup1Click(TObject *Sender)
{
  switch (RadioGroup1->ItemIndex) {
    case 0 : SetAngles(0); break;
    case 1 : SetAngles(90); break;
    case 2 : SetAngles(180); break;
    case 3 : SetAngles(270); break;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Chart1GetAxisLabel(TChartAxis *Sender,
      TChartSeries *Series, int ValueIndex, AnsiString &LabelText)
{
  TeeSplitInLines(LabelText, " ");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox3Click(TObject *Sender)
{
  Series1->Marks->Visible = CheckBox3->Checked;
}
//---------------------------------------------------------------------------
