//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TeeComma.hpp"
#include "TeeShape.hpp"
#include <Chart.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TChart *Chart1;
  TTreeView *TreeView1;
  TPanel *Panel1;
  TCheckBox *CheckBox1;
  TCheckBox *CheckBox2;
  TCheckBox *CheckBox3;
  TCheckBox *CheckBox4;
  TCheckBox *CheckBox5;
  TCheckBox *CheckBox6;
  TTeeCommander *TeeCommander1;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall TreeView1Collapsed(TObject *Sender, TTreeNode *Node);
  void __fastcall TreeView1Expanded(TObject *Sender, TTreeNode *Node);
  void __fastcall Chart1ClickSeries(TCustomChart *Sender,
          TChartSeries *Series, int ValueIndex, TMouseButton Button,
          TShiftState Shift, int X, int Y);
  void __fastcall Chart1AfterDraw(TObject *Sender);
  void __fastcall Chart1ClickBackground(TCustomChart *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
  void __fastcall TreeView1Click(TObject *Sender);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall CheckBox2Click(TObject *Sender);
  void __fastcall TreeView1Edited(TObject *Sender, TTreeNode *Node,
          AnsiString &S);
  void __fastcall CheckBox4Click(TObject *Sender);
  void __fastcall CheckBox3Click(TObject *Sender);
  void __fastcall Chart1DblClick(TObject *Sender);
  void __fastcall CheckBox5Click(TObject *Sender);
  void __fastcall CheckBox6Click(TObject *Sender);
private:	// User declarations
  TChartShape* Selected;
  bool SquaredLine;
  void CheckSelected();
  void DrawSeriesLines(TChartShape* ASeries);
  void __fastcall AfterDrawSeries(TObject* Sender);
  void CreateShapes(TTreeNode* Node, int Delta);
  void ExpandCollapseShapes(TTreeNode* Node, bool IsExpand);
  TChartShape* ShapeOf(TTreeNode* Node);
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
